Jitsi Meet desktop application powered by
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 

76 lines
2.1 KiB

{
"name": "jitsi-meet-electron",
"version": "0.0.0",
"description": "Electron application for Jitsi Meet",
"main": "build/main.js",
"productName": "Jitsi Meet",
"scripts": {
"start": "webpack --config ./webpack.config.js --mode development && electron ./build/main.js",
"clean": "rm -rf node_modules",
"lint": "eslint . && flow",
"pack": "webpack --config ./webpack.config.js --mode production && electron-packager .",
"postinstall": "electron-rebuild",
"validate": "npm ls"
},
"pre-commit": [
"lint"
],
"repository": {
"type": "git",
"url": "git://github.com/jitsi/jitsi-meet-electron"
},
"keywords": [
"jingle",
"webrtc",
"xmpp",
"electron",
"jitsi-meet"
],
"author": "",
"readmeFilename": "README.md",
"license": "Apache-2.0",
"dependencies": {
"@atlaskit/button": "7.2.5",
"@atlaskit/css-reset": "2.0.2",
"@atlaskit/droplist": "6.0.1",
"@atlaskit/field-text": "5.1.0",
"@atlaskit/icon": "12.0.1",
"@atlaskit/navigation": "32.0.2",
"@atlaskit/page": "7.0.1",
"@atlaskit/theme": "3.2.2",
"electron-is-dev": "0.3.0",
"history": "4.7.2",
"jitsi-meet-electron-utils": "jitsi/jitsi-meet-electron-utils",
"react": "16.3.2",
"react-dom": "16.3.2",
"react-redux": "5.0.7",
"react-router-redux": "5.0.0-alpha.9",
"redux": "4.0.0",
"redux-logger": "3.0.6",
"styled-components": "3.3.0"
},
"devDependencies": {
"babel-core": "6.26.3",
"babel-eslint": "8.2.3",
"babel-loader": "7.1.4",
"babel-preset-env": "1.7.0",
"babel-preset-react": "6.24.1",
"babel-preset-stage-1": "6.24.1",
"css-loader": "0.28.11",
"electron": "2.0.0",
"electron-packager": "12.0.2",
"electron-rebuild": "1.7.3",
"eslint": "4.12.1",
"eslint-config-jitsi": "jitsi/eslint-config-jitsi#v0.1.0",
"eslint-plugin-flowtype": "2.46.3",
"eslint-plugin-import": "2.11.0",
"eslint-plugin-jsdoc": "3.2.0",
"eslint-plugin-react": "7.7.0",
"flow-bin": "0.72.0",
"html-webpack-plugin": "3.2.0",
"precommit-hook": "3.0.0",
"style-loader": "0.21.0",
"webpack": "4.8.1",
"webpack-cli": "2.1.3"
}
}